# integrase

integron_finder.integrase.find_integrase(replicon_id, prot_file, out_dir, cfg)

  Call Prodigal for Gene annotation and hmmer to find integrase, either with phage_int HMM profile or with intI profile.

  Parameters:

    - replicon_id (str) – The Replicon identifier to search integrase into

    - prot_file (str) – the path to the fasta file containing the translation of the replicon.

    - out_dir (str) – the relative path to the directory where prodigal outputs will be stored

    - cfg (a `integron_finder.config.Config` object) – the configuration

  Returns:

    None, the results are written on the disk